Package org.eclipse.lemminx.services.extensions

## Interface IWorkspaceServiceParticipant

    public interface IWorkspaceServiceParticipant

Workspace Service participant API.

Since:
  0.14.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `didChangeWorkspaceFolders​(org.eclipse.lsp4j.DidChangeWorkspaceFoldersParams params)` Receive and handle notification about workspace folder changing on client side.

### Method Detail

#### didChangeWorkspaceFolders

    void didChangeWorkspaceFolders​(org.eclipse.lsp4j.DidChangeWorkspaceFoldersParams params)

Receive and handle notification about workspace folder changing on client side.

Parameters:
  `params` - the workspace folders change description
See Also:
  `WorkspaceService.didChangeWorkspaceFolders(DidChangeWorkspaceFoldersParams)`